MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030291Open CASCADE[OCCT] OCCT:Visualizationpublic2018-10-24 19:112018-10-28 16:13
Reporteraba 
Assigned Toapn 
PrioritynormalSeveritycrash 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030291: Visualization - manipulator crashes when is attached with scaling mode disabled
DescriptionAIS_Manipulator crashes on Attach() method when input OptionsForAttach structure is set with EnableModes = Standard_True.
Steps To Reproducetest v3d manipulator disable_parts
TagsNo tags attached.
Test case numberv3d manipulator disable_parts
Attached Files

- Relationships

-  Notes
(0080287)
git (administrator)
2018-10-24 19:32

Branch CR30291 has been created by aba.

SHA-1: 4f27e95bbc6360afde839e327be6b17cc3d5ff0b


Detailed log of new commits:

Author: aba
Date: Wed Oct 24 19:25:12 2018 +0300

    0030291: Visualization - manipulator crashes when is attached with scaling mode disabled
    
    - in ComputeSelection() method checks are added to avoid taking triangulation of manipulator parts that are not computed
(0080288)
aba (developer)
2018-10-24 19:35

Dear kgv,

could you please review patch in the branch CR30291?
(0080289)
kgv (developer)
2018-10-24 19:44

Patch looks OK, please test.
(0080323)
apn (administrator)
2018-10-25 16:18

Combination -
OCCT branch : CR30291 SHA - 4f27e95bbc6360afde839e327be6b17cc3d5ff0b
Products branch : master SHA - 35af85def09c66ceeaf90b4e4fb8b54e68d5e98c
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

Test case:
v3d manipulator disable_parts - OK

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17528.189999999853 / 17520.90999999988 [+0.04%]
Products
Total CPU difference: 7435.53000000006 / 7462.09000000004 [-0.36%]
Windows-64-VC14:
OCCT
Total CPU difference: 17629.782210698457 / 17666.582846598394 [-0.21%]
Products
Total CPU difference: 8363.432011399984 / 8372.402068899986 [-0.11%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0080407)
git (administrator)
2018-10-28 16:13

Branch CR30291 has been deleted by inv.

SHA-1: 4f27e95bbc6360afde839e327be6b17cc3d5ff0b

- Related Changesets
occt: master f15c5f90
Timestamp: 2018-10-24 16:25:12
Author: aba
Committer: apn
Details ] Diff ]
0030291: Visualization - manipulator crashes when is attached with scaling mode disabled

- in ComputeSelection() method checks are added to avoid taking triangulation of manipulator parts that are not computed
mod - src/AIS/AIS_Manipulator.cxx Diff ] File ]
mod - src/AIS/AIS_Manipulator.hxx Diff ] File ]
add - tests/v3d/manipulator/disable_parts Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-10-24 19:11 aba New Issue
2018-10-24 19:11 aba Assigned To => aba
2018-10-24 19:32 git Note Added: 0080287
2018-10-24 19:35 aba Note Added: 0080288
2018-10-24 19:35 aba Assigned To aba => kgv
2018-10-24 19:35 aba Status new => resolved
2018-10-24 19:35 aba Steps to Reproduce Updated View Revisions
2018-10-24 19:44 kgv Note Added: 0080289
2018-10-24 19:44 kgv Assigned To kgv => bugmaster
2018-10-24 19:44 kgv Status resolved => reviewed
2018-10-25 16:18 apn Test case number => v3d manipulator disable_parts
2018-10-25 16:18 apn Status reviewed => tested
2018-10-25 16:18 apn Additional Information Updated View Revisions
2018-10-25 16:18 apn Note Added: 0080323
2018-10-25 16:18 apn Additional Information Updated View Revisions
2018-10-28 13:20 apn Changeset attached => occt master f15c5f90
2018-10-28 13:20 apn Assigned To bugmaster => apn
2018-10-28 13:20 apn Status tested => verified
2018-10-28 13:20 apn Resolution open => fixed
2018-10-28 16:13 git Note Added: 0080407


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker